            #GIT_CMT=167f0564af4a09a1b054862a7bbe8241e303e553
%global githubname   libbpf
%global githubver    0.0.4
%global githubfull   %{githubname}-%{githubver}

Name:           %{githubname}
Version:        %{githubver}
Release:    6.el7
Summary:        Libbpf library

License:        LGPLv2 or BSD
URL:            https://github.com/%{githubname}/%{githubname}
Source: libbpf-0.0.4.tar.bz2
BuildRequires:  gcc elfutils-libelf-devel elfutils-devel python3

# This package supersedes libbpf from kernel-tools,
# which has default Epoch: 0. By having Epoch: 1
# this libbpf will take over smoothly
Epoch:          2

%description
A mirror of bpf-next linux tree bpf-next/tools/lib/bpf directory plus its
supporting header files. The version of the package reflects the version of
ABI.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = 2:%{version}-%{release}

%description devel
The %{name}-devel package contains libraries header files for
developing applications that use %{name}

%package static
Summary: Static library for libbpf development
Requires: %{name}-devel = 2:%{version}-%{release}

%description static
The %{name}-static package contains static library for
developing applications that use %{name}

%global make_flags DESTDIR=%{buildroot} OBJDIR=%{_builddir} CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags} -Wl,--no-as-needed" LIBDIR=/%{_libdir} NO_PKG_CONFIG=1

%prep
%autosetup -n %{githubfull}

%build
%make_build -C ./src %{make_flags}

%install
%make_install -C ./src %{make_flags}

%files
%{_libdir}/libbpf.so.0.0.3
%{_libdir}/libbpf.so.0

%license LICENSE LICENSE.BSD-2-Clause LICENSE.LPGL-2.1

%files devel
%{_libdir}/libbpf.so
%{_includedir}/bpf/
%{_libdir}/pkgconfig/libbpf.pc

%license LICENSE LICENSE.BSD-2-Clause LICENSE.LPGL-2.1

%files static
%{_libdir}/libbpf.a

%license LICENSE LICENSE.BSD-2-Clause LICENSE.LPGL-2.1

%changelog
* Fri May 15 2020 Alan Maguire <alan.maguire@oracle.com> - 2:0.0.4-6.el7
- libbpf: add license files from upstream (Alan Maguire)

* Tue Apr 07 2020 Alan Maguire <alan.maguire@oracle.com> - 2:0.0.4-4.el7
- libbpf: support 0.0.4 for OL7

* Tue Mar 10 2020 Alan Maguire <alan.maguire@oracle.com> - 2:0.0.4-3.el7
- libbpf: support 0.0.4 for OL7

* Wed Nov 27 2019 Alan Maguire <alan.maguire@oracle.com> - 0.0.4-3
- Use 0.0.4 libbpf; remove kernel-headers dependency; removed build_*flags

* Fri Nov 22 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-3
- Revert to 0.0.3 version and adjust kernel-headers dependency (BZ#1755317)

* Tue Nov 12 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.5-2
- Add kernel-headers dependency

* Thu Oct 03 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.5-1
- release 0.0.5

* Wed Sep 25 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-2
- Fix libelf linking (BZ#1755317)

* Fri Sep 13 2019 Jiri Olsa <jolsa@redhat.com> - 0.0.3-1
- Initial release

